%define majver %(echo %version | cut -d. -f1-2)
Name:          orca
Version:       3.6.1
Release:       2mamba
Summary:       A free, open source scriptable screen reader
Group:         Graphical Desktop/Applications/Accessibility
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://live.gnome.org/Orca
Source:        http://ftp.gnome.org/pub/GNOME/sources/orca/%{majver}/orca-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libglib-devel
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: python-atspi
BuildRequires: python-gnome-devel
BuildRequires: libat-spi2-core-devel
Requires:      python-gnome
Requires:      pygtk
Requires:      python-atspi
Requires:      gnome-speech
Requires:      at-spi2-core
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Orca is a free, open source scriptable screen reader. Using various combinations of speech, braille, and magnification, Orca helps provide access to applications and toolkits that support the AT-SPI (e.g., the GNOME desktop). The development of Orca has been led by the Accessibility Program Office of Sun Microsystems, Inc. with contributions from many community members. 

%prep

%setup -q

%build
# FIXME:
#checking for PyORBit module GNOME_Magnifier... no                                                                        
#configure: WARNING: Could not find python ORBit module GNOME_Magnifier - you need gnome-mag-1.0 >= 0.12.5 installed to use magnification  
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/orca-autostart.desktop
%{_bindir}/orca
%{python_sitearch}/orca/
%{_datadir}/applications/orca.desktop
%{_datadir}/icons/hicolor/*/apps/orca.png
%{_datadir}/icons/hicolor/scalable/apps/orca.svg
%{_datadir}/orca/gfx/orca-splash.png
%{_datadir}/orca/ui/orca-*.ui
%dir %{_datadir}/help/*/orca
%{_datadir}/help/*/orca/*
%{_mandir}/man1/orca.1*
%doc AUTHORS COPYING
# ChangeLog NEWS README TODO

%changelog
* Mon Jun 03 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 3.6.1-2mamba
- require at-spi2-core instead of at-spi2

* Fri Oct 19 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- update to 3.6.1

* Sat Aug 04 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- update to 3.4.2

* Tue Nov 16 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Tue Oct 12 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- automatic update to 2.30.2 by autodist

* Sat May 29 2010 Automatic Build System <autodist@mambasoft.it> 2.30.1-1mamba
- automatic update to 2.30.1 by autodist

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- automatic update by autodist

* Wed Dec 23 2009 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update by autodist

* Sat Oct 24 2009 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Tue Sep 29 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- update to 2.28.0

* Fri Aug 28 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.3-1mamba
- package created by autospec
